#
# spec file for package lvm2-clvm (Version 2.02.39)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           lvm2-clvm
BuildRequires:  device-mapper-devel libcorosync-devel libdlm-devel libopenais-devel readline-devel
BuildRequires:  libselinux-devel
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/Base
Version:        2.02.39
Release:        18.<RELEASE20>
Requires:       device-mapper >= 1.02.25 lvm2 = %{version} openais cmirrord
Provides:       clvm
PreReq:         %fillup_prereq %insserv_prereq
AutoReqProv:    on
Summary:        Clustered LVM2
Source:         LVM2.%{version}.tar.bz2
Source1:        lvm.conf
Source2:        boot.lvm
Source3:        sysconfig.lvm
Source4:        mkinitrd-setup.sh
Source5:        mkinitrd-boot.sh
Source6:        64-lvm2.rules
Source7:        collect_lvm
Source8:        clvmd.ocf
Source9:        csm-converter.tar.gz
Source10:       cmirrord.ocf
Patch:          improve_probing.diff
Patch2:         no-inc-audit.diff
Patch3:         no_buildroot_shared.diff
Patch4:         sys_mount_instead_linux_fs.diff
Patch5:         pvscan_2TB_limit.diff
Patch6:         man_page_sectors.diff
Patch10:        lvm-no_chown.diff
Patch11:        cmdline_large_minor.diff
Patch12:        enable-clvmd.patch
Patch13:        pipe_buff-definition.diff
Patch14:        lvm-pv-create-link.diff
Patch15:        dmeventd-link-libcmd.diff
Patch16:        clvmd-openais-use-dlm.diff
Patch17:        bug-486952_clvmd-check-returncode-of-dlmrelease.diff
Patch18:        sigterm_in_main_thread.diff
Patch19:        dont_ignore_tmp_device_file.diff
Patch20:        support-drbd-filter.diff
Patch21:        call_cpg_leave_before_shutdown.diff
Patch22:        clvmd-lock-convertion.diff
Patch23:        clvmd_use_corosync.diff
Patch24:        suppress_cluster_lock_warning.diff
Patch25:        clvmd-dont-check-node_down.diff
Patch26:        add_support_of_lvconvert_repair.diff
Patch27:        add_support_of_partial_activate_for_clvmd.diff
Patch28:        add_lv_convert_to_dmeventd_plugin.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description 
A daemon for using LVM2 Logival Volumes in a clustered environment.



%prep
%setup -n LVM2.%{version}
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
%patch10
%patch11
%patch12
%patch13
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" MODPROBE_CMD=/sbin/modprobe \
./configure --prefix=/ \
	--mandir=%{_mandir} \
	--includedir=/usr/include \
	--enable-selinux \
	--enable-cmdlib \
	--libdir=/%_lib --enable-dmeventd --enable-cmdlib \
	--with-cluster=internal \
	--with-clvmd=openais
make
tar zxvf %{S:9}
pushd bnz
make
popd

%install
pushd daemons
make install DESTDIR=$RPM_BUILD_ROOT
popd
pushd man
make install DESTDIR=$RPM_BUILD_ROOT
popd
install -D -m 755 $RPM_BUILD_ROOT/sbin/clvmd $RPM_BUILD_ROOT/usr/sbin/clvmd
rm $RPM_BUILD_ROOT/sbin/clvmd
rm -rf $RPM_BUILD_ROOT/%{_mandir}/man5
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/lv*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/pv*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/vg*
install -m755 -D %{S:8} $RPM_BUILD_ROOT/usr/lib/ocf/resource.d/lvm2/clvmd
install -m755 -D %{S:10} $RPM_BUILD_ROOT/usr/lib/ocf/resource.d/lvm2/cmirrord
pushd bnz
install -m755 -D csm-converter $RPM_BUILD_ROOT/usr/sbin/csm-converter
install -m755 -D csm-converter-helper $RPM_BUILD_ROOT/usr/sbin/csm-converter-helper
mv README.csm-converter ..
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.csm-converter
/usr/sbin/clvmd
/usr/sbin/csm-converter
/usr/sbin/csm-converter-helper
%dir /usr/lib/ocf
%dir /usr/lib/ocf/resource.d
%dir /usr/lib/ocf/resource.d/lvm2
/usr/lib/ocf/resource.d/lvm2/clvmd
/usr/lib/ocf/resource.d/lvm2/cmirrord
%{_mandir}/man8/clvmd.8.gz

%changelog
